Commit a63fc4ac authored by Incardona Pietro's avatar Incardona Pietro

Fixing install script

parent c0aef587
......@@ -19,6 +19,10 @@ mkdir src/config
## generate configure script
sh ./autogen.sh
if [ $? -ne 0 ]; then
echo -e "Configure\033[91;5;1m FAILED \033[0m"
exit 1
fi
## Take all the options with the exception of --enable-install-req
......
......@@ -15,6 +15,7 @@ function discover_package_manager() {
discover_package_manager_ret="sudo port"
return
else
discover_package_manager_ret=""
return
fi
elif [ x"$1" = x"linux" ]; then
......@@ -33,6 +34,7 @@ function discover_package_manager() {
discover_package_manager_ret="zypper"
return
else
discover_package_manager_ret=""
return
fi
fi
......
......@@ -5,10 +5,17 @@ source script/discover_os
discover_os
discover_package_manager $platform
pcman=discover_package_manager_ret
pcman=$discover_package_manager_ret
if [ x"$platform" = x"osx" -a x"$pcman" = x"" ]; then
if [ x"$platform" = x"osx" -a x"$pcman" = x"" ]; then
echo -e "\033[93;5;1m WARNING \033[0m No package manager has been found on this system"
script/solve_brew $platform
discover_package_manager $platform
pcman=$discover_package_manager_ret
if [ x"$pcman" != x"brew" ]; then
echo -e "brew \033[91;5;1m FAILED \033[0m"
fi
fi
command -v cmake >/dev/null 2>&1
......@@ -96,14 +103,21 @@ else
echo -e "automake\033[92;1m SUCCESS \033[0m"
fi
command -v libtool >/dev/null 2>&1
if [ $? -ne 0 ]; then
command -v libtoolize >/dev/null 2>&1
opt1=$?
command -v glibtoolize >/dev/null 2>&1
opt2=$?
if [ $opt1 -ne 0 -o $opt2 -ne 0 ]; then
echo >&2
echo -e "libtool\033[91;5;1m FAILED \033[0m"
echo "OpenFPM require libtool but it's not installed, searching a solution..."
script/solve_libtool $platform
command -v libtool >/dev/null 2>&1
if [ $? -ne 0 ]; then
command -v libtoolize >/dev/null 2>&1
opt1=$?
command -v glibtoolize >/dev/null 2>&1
opt2=$?
if [ opt1 -ne 0 -o opt2 -ne 0 ]; then
echo -e "libtool\033[91;5;1m FAILED \033[0m"
exit 1
else
......
File mode changed from 100644 to 100755
File mode changed from 100644 to 100755
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment